﻿/*
 *   Copyright © 2009-2020 studyzy(深蓝,曾毅)

 *   This program "IME WL Converter(深蓝词库转换)" is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.

 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.

 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

namespace Studyzy.IMEWLConverter
{
    /// <summary>
    ///     常量字符串
    /// </summary>
    public class ConstantString
    {
        public const string VERSION = "3.1.0.0";

        public const string BAIDU_SHOUJI = "百度手机或Mac版百度拼音";
        public const string BAIDU_SHOUJI_ENG = "百度手机英文";
        public const string BAIDU_BDICT = "百度分类词库bdict";
        public const string BAIDU_BCD = "百度手机词库bcd";
        public const string BAIDU_PINYIN = "百度拼音";
        public const string BAIDU_PINYIN_BACKUP = "百度拼音备份词库bin";
        public const string QQ_PINYIN_ENG = "QQ拼音英文";
        public const string QQ_SHOUJI = "QQ手机";
        public const string QQ_WUBI = "QQ五笔";
        public const string TOUCH_PAL = "触宝手机";
        public const string SOUGOU_PINYIN = "搜狗拼音txt";
        public const string SOUGOU_PINYIN_BIN = "搜狗拼音备份词库bin";
        public const string WUBI86 = "五笔86版";
        public const string WUBI98 = "五笔98版";
        public const string WUBI_NEWAGE = "五笔新世纪版";
        public const string QQ_PINYIN = "QQ拼音";
        public const string LIBPINYIN = "libpinyin";
        public const string QQ_PINYIN_QPYD = "QQ分类词库qpyd";
        public const string QQ_PINYIN_QCEL = "QQ分类词库qcel";
        public const string GOOGLE_PINYIN = "谷歌拼音";
        public const string GBOARD = "Gboard";
        public const string YAHOO_KEYKEY = "雅虎奇摩";
        public const string ZIGUANG_PINYIN = "华宇紫光拼音";
        public const string ZIGUANG_PINYIN_UWL = "紫光拼音词库uwl";
        public const string PINYIN_JIAJIA = "拼音加加";
        public const string WORD_ONLY = "无拼音纯汉字";
        public const string SOUGOU_XIBAO_SCEL = "搜狗细胞词库scel";
        public const string SINA_PINYIN = "新浪拼音";
        public const string SELF_DEFINING = "自定义";
        public const string IFLY_IME = "讯飞输入法";
        public const string JIDIAN = "极点五笔";
        public const string JIDIAN_ZHENGMA = "极点郑码";
        public const string JIDIAN_MBDICT = "极点五笔.mb文件";
        public const string XIAOYA_WUBI = "小鸭五笔";
        public const string MS_PINYIN = "微软拼音";
        public const string WIN10_MS_PINYIN = "Win10微软拼音（用户自定义短语）";
        public const string WIN10_MS_PINYIN_SELF_STUDY = "Win10微软拼音（自学习词汇）";

        public const string WIN10_MS_WUBI = "Win10微软五笔（用户自定义短语）";
        public const string XIAOXIAO = "小小输入法";
        public const string XIAOXIAO_ERBI = "二笔输入法";
        public const string FIT = "FIT输入法";
        public const string RIME = "Rime中州韵";
        public const string RIME_USERDB = "Rime UserDb 用户词典";
        public const string CANGJIE_PLATFORM = "仓颉平台";
        public const string BING_PINYIN = "必应输入法";
        public const string LINGOES_LD2 = "灵格斯ld2";
        public const string USER_PHRASE = "用户自定义短语";
        public const string SHOUXIN_PINYIN = "手心输入法";
        public const string CHAO_YIN = "超音速录";
        public const string CHINESE_PYIM = "Chinese-pyim";
        public const string EMOJI = "Emoji";
        public const string MAC_PLIST = "Mac简体拼音";
        public const string LIBIME_TEXT = "LibIME 拼音词库（文本格式）";

        //简码，控制台用
        public const string BAIDU_SHOUJI_C = "bdsj";
        public const string BAIDU_SHOUJI_ENG_C = "bdsje";
        public const string BAIDU_BDICT_C = "bdict";
        public const string BAIDU_BCD_C = "bcd";
        public const string BAIDU_PINYIN_C = "bdpy";
        public const string BAIDU_PINYIN_BACKUP_C = "bdpybin";
        public const string QQ_SHOUJI_C = "qqsj";
        public const string QQ_WUBI_C = "qqwb";
        public const string TOUCH_PAL_C = "cbsj";
        public const string SOUGOU_PINYIN_C = "sgpy";
        public const string SOUGOU_PINYIN_BIN_C = "sgpybin";
        public const string WUBI86_C = "wb86";
        public const string WUBI98_C = "wb98";
        public const string WUBI_NEWAGE_C = "wbnewage";
        public const string QQ_PINYIN_C = "qqpy";
        public const string QQ_PINYIN_QPYD_C = "qpyd";
        public const string QQ_PINYIN_QCEL_C = "qcel";
        public const string GOOGLE_PINYIN_C = "ggpy";
        public const string GBOARD_C = "gboard";
        public const string ZIGUANG_PINYIN_C = "zgpy";
        public const string ZIGUANG_PINYIN_UWL_C = "uwl";
        public const string PINYIN_JIAJIA_C = "pyjj";
        public const string WORD_ONLY_C = "word";
        public const string SOUGOU_XIBAO_SCEL_C = "scel";
        public const string SINA_PINYIN_C = "xlpy";
        public const string SELF_DEFINING_C = "self";
        public const string JIDIAN_C = "jd";
        public const string JIDIAN_MBDICT_C = "jdmb";
        public const string IFLY_IME_C = "ifly";
        public const string MS_PINYIN_C = "mspy";
        public const string WIN10_MS_PINYIN_C = "win10mspy";
        public const string WIN10_MS_PINYIN_SELF_STUDY_C = "win10mspyss";
        public const string WIN10_MS_WUBI_C = "win10mswb";
        public const string XIAOXIAO_C = "xiaoxiao";
        public const string FIT_C = "fit";
        public const string RIME_C = "rime";
        public const string RIME_USERDB_C = "rimedb";
        public const string BING_PINYIN_C = "bing";
        public const string LINGOES_LD2_C = "ld2";
        public const string QQ_PINYIN_ENG_C = "qqpye";
        public const string XIAOYA_WUBI_C = "xywb";
        public const string CANGJIE_PLATFORM_C = "cjpt";
        public const string JIDIAN_ZHENGMA_C = "jdzm";
        public const string YAHOO_KEYKEY_C = "yahoo";
        public const string USER_PHRASE_C = "dy";
        public const string XIAOXIAO_ERBI_C = "erbi";
        public const string LIBPINYIN_C = "libpy";
        public const string SHOUXIN_PINYIN_C = "sxpy";
        public const string CHAO_YIN_C = "cysl";
        public const string CHINESE_PYIM_C = "pyim";
        public const string EMOJI_C = "emoji";
        public const string MAC_PLIST_C = "plist";
        public const string LIBIME_TEXT_C = "libimetxt";
    }
}
