﻿/*
 *   Copyright © 2009-2020 studyzy(深蓝,曾毅)

 *   This program "IME WL Converter(深蓝词库转换)" is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.

 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.

 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

namespace Studyzy.IMEWLConverter.Entities
{
    public enum PinyinType
    {
        /// <summary>
        /// 全拼
        /// </summary>
        FullPinyin = 0,

        /// <summary>
        /// 微软双拼
        /// </summary>
        MsShuangpin = 1,

        /// <summary>
        /// 小鹤双拼
        /// </summary>
        XiaoheShuangpin = 2,

        /// <summary>
        /// 智能ABC
        /// </summary>
        SmartABCShuangpin = 3,

        /// <summary>
        /// 自然码
        /// </summary>
        NatureCode = 4,

        /// <summary>
        /// 拼音加加
        /// </summary>
        PinyinJiajia = 5,

        /// <summary>
        /// 星空键道
        /// </summary>
        XingkongJiandao = 6,

        /// <summary>
        /// 大牛双拼
        /// </summary>
        DaniuShuangpin = 7,

        /// <summary>
        /// 小浪双拼
        /// </summary>
        XiaolangShuangpin = 8,

        /// <summary>
        /// 紫光拼音
        /// </summary>
        ZiguangShuangpin = 9,
    }
}
